<?php
#   SGT - The SGT for Internet - http://sgt.eti.br
#   Copyright (c) 2016-2018, Jean Azevedo. All rights reserved.

#   This file is part of SGT.

#   SGT is free software: you can redistribute it and/or modify
#   it under the terms of the GNU General Public License as published by
#   the Free Software Foundation, either version 3 of the License, or
#   any later version.

#   SGT is distributed in the hope that it will be useful,
#   but WITHOUT ANY WARRANTY; without even the implied warranty of
#   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
#   GNU General Public License for more details.

#   You should have received a copy of the GNU General Public License
#   along with Foobar.  If not, see <http://www.gnu.org/licenses/>.

    include("../seguranca_adm.php");
    protegePagina();
    include "../conectar.php";
    include "../log_.php";
    $unidade = $_POST['unidade'];
    $dominio = $_POST['dominio'];
    $ddd = $_POST['ddd'];
    $nome_pt1 = isset($_POST["nome_pt1"]) ? $_POST["nome_pt1"]: '';
    $email_pt1 = isset($_POST["email_pt1"]) ? $_POST["email_pt1"]: '';
    $nome_pt2 = isset($_POST["nome_pt2"]) ? $_POST["nome_pt2"]: '';
    $email_pt2 = isset($_POST["email_pt2"]) ? $_POST["email_pt2"]: '';
    $des_unid = isset($_POST["des_unid"]) ? $_POST["des_unid"]: '';
    $des_unid = $_POST['des_unid'];
    $select=$pdo_sgt->prepare("SELECT * FROM tb_unidades WHERE unidade=:unidade");
    $select->bindValue(":unidade",$unidade);
    $select->execute();
    $array = $select->fetch(PDO::FETCH_ASSOC);
    if($array['unidade'] == $unidade){
        echo"<script language='javascript' type='text/javascript'>
            alert('Esta unidade: "; echo $unidade; echo" já está cadastrada!');
            window.history.go(-1)>Volta;
        </script>";
        die();
    }
    else{
        $query_ = "INSERT INTO tb_unidades (unidade, dominio, ddd, nome_pt1, email_pt1, nome_pt2, email_pt2, des_unid) VALUES (:unidade,:dominio,:ddd,:nome_pt1,:email_pt1,:nome_pt2,:email_pt2,:des_unid)";
        $query=$pdo_sgt->prepare("$query_");
        $query->bindValue(":unidade",$unidade);
        $query->bindValue(":dominio",$dominio);
        $query->bindValue(":ddd",$ddd);
        $query->bindValue(":nome_pt1",$nome_pt1);
        $query->bindValue(":email_pt1",$email_pt1);
        $query->bindValue(":nome_pt2",$nome_pt2);
        $query->bindValue(":email_pt2",$email_pt2);
        $query->bindValue(":des_unid",$des_unid);
        $query->execute();
        $mensagem = "Dados alterados na tabela: tb_unidades - Para os campos: unidade, dominio, ddd, nome_pt1, email_pt1, nome_pt2, email_pt2, des_unid - "
            . "Com os seguintes valores: $unidade, $dominio, $ddd, $nome_pt1, $email_pt1, $nome_pt2, $email_pt2, $des_unid.";
        salvaLog($mensagem);
            echo"<script language='javascript' type='text/javascript'>
                window.location.href='list_unid.php';
            </script>";
    }	
?>